Package org.eclipse.net4j.util.om.log

# Class RollingLog.PropertiesEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent
org.eclipse.net4j.util.om.log.RollingLog.PropertiesEvent

All Implemented Interfaces:
  `Serializable`, `IEvent`

Enclosing class:
  RollingLog

public static final class RollingLog.PropertiesEvent extends RollingLog.RollingLogEvent

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`RollingLog.PropertiesEvent.Type`

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PropertiesEvent(RollingLog rollingLog, RollingLog.PropertiesEvent.Type type, Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`formatAdditionalParameters()`
`Properties`
`getProperties()`
`RollingLog.PropertiesEvent.Type`
`getType()`

### Methods inherited from class org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent

`getSource`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertiesEvent

public PropertiesEvent(RollingLog rollingLog, RollingLog.PropertiesEvent.Type type, Properties properties)

## Method Details

### getType

public RollingLog.PropertiesEvent.Type getType()

### getProperties

public Properties getProperties()

### formatAdditionalParameters

protected String formatAdditionalParameters()

Overrides:
  `formatAdditionalParameters` in class `Event`